P3 Firmware tips and tricks of phantom 3 family transmitters GL300A and GL300B

Joined
Sep 7, 2020
Messages
173
Reaction score
20
Age
37
concerning what i mentioned earlier, about gl300A used on fw 1.8 is making problems in vid after 4 min of flight with p3p , the story happened to day and it is not related to bad luckit seems fw 1.8 has a problem with gl300A , heres the storya couple of hours ago a guy was flying next tome he has a gl300A i use gl300B though i have 2 gl300A kept on shelf once i discovered the bad vid issue, i had a battery with 70% left so i asked him if i can test his gl300Aon my p3pro , i bind the quad and flew it just the same time some 3 to 4 min the vid starts to get bad to very bad even non flyable so this is the fourth gl300A that makes the exact same trouble on the quad p3p all 4 gl300A are on fw 1.8!!!!!???, quad damage suggested its maybe an over heat but the weather is cold now!
 
Joined
Sep 7, 2020
Messages
173
Reaction score
20
Age
37
concerning what i mentioned earlier, about gl300A used on fw 1.8 is making problems in vid after 4 min of flight with p3p , the story happened to day and it is not related to bad luckit seems fw 1.8 has a problem with gl300A , heres the storya couple of hours ago a guy was flying next tome he has a gl300A i use gl300B though i have 2 gl300A kept on shelf once i discovered the bad vid issue, i had a battery with 70% left so i asked him if i can test his gl300Aon my p3pro , i bind the quad and flew it just the same time some 3 to 4 min the vid starts to get bad to very bad even non flyable so this is the fourth gl300A that makes the exact same trouble on the quad p3p all 4 gl300A are on fw 1.8!!!!!???, quad damage suggested its maybe an over heat but the weather is cold now!
just to note also that the 4 gl300A so far did this same behavior on two separate p3p. not only one plane !
 
Joined
Sep 7, 2020
Messages
173
Reaction score
20
Age
37
hello guys i gave a freind one of my spare gl300A i have and took his non working gl300 B, the gl300B can bind to the p3p and even fly it but cannot talk to app , i opened the gl300B trying to check it. i was surprised that its usb port is not the one for gl300B !it is the one for gl300A, it includes the dm365!!!
my first question are the two usb board types among the two interchangeable?? i mean can you simply put the gl300A usb board on a gl 300B and it works normally and vice versa????
 

KachemakDiver

Premium Pilot
Joined
May 15, 2019
Messages
1,143
Reaction score
780
Age
58
Location
Homer,Alaska
hello guys i gave a freind one of my spare gl300A i have and took his non working gl300 B, the gl300B can bind to the p3p and even fly it but cannot talk to app , i opened the gl300B trying to check it. i was surprised that its usb port is not the one for gl300B !it is the one for gl300A, it includes the dm365!!!
my first question are the two usb board types among the two interchangeable?? i mean can you simply put the gl300A usb board on a gl 300B and it works normally and vice versa????
Nope! They are two different creatures.
 
Joined
Sep 7, 2020
Messages
173
Reaction score
20
Age
37
welcome diver , i miss you all how are you doing man, yes i discovered from my own experience so far that the usb communication boards on back of gl300 A and gl300b are not interchangeable! the flat cables on the gl300A and Gl300B that connect the main board of the transmitter to the usb board on the back seem a bit different and i dont advice trying to use them interchangeably , when i become sure 100% of the consequences i will post it! but it may cause the usb board on back to become brick and need flashing in some cases.
 
  • Like
Reactions: KachemakDiver
Joined
Sep 12, 2017
Messages
26
Reaction score
1
Age
56
I have similar post on other threads, but have yet to figure out the current downgrading process for a gl300b with the latest firmware v. 1.9.2.
The long press procedure pulls up an update screen on the Android app with a blank pull down screen. Nothing to download. I have put the C1-FW .bin file in the DJI/dji.pilot/package directory in hopes the app would find it and allow the install. That did not work, nothing shown in the long press update screen.
Most of the information I find is dated so I’m unclear if something has changed or just unique to my hardware/software.
 

KachemakDiver

Premium Pilot
Joined
May 15, 2019
Messages
1,143
Reaction score
780
Age
58
Location
Homer,Alaska
I have similar post on other threads, but have yet to figure out the current downgrading process for a gl300b with the latest firmware v. 1.9.2.
The long press procedure pulls up an update screen on the Android app with a blank pull down screen. Nothing to download. I have put the C1-FW .bin file in the DJI/dji.pilot/package directory in hopes the app would find it and allow the install. That did not work, nothing shown in the long press update screen.
Most of the information I find is dated so I’m unclear if something has changed or just unique to my hardware/software.
You may need to update to a more recent firmware version on the drone first before the long press procedure will start to show the versions on the remote. Right now you have a firmware version mismatch.
 
Joined
Sep 12, 2017
Messages
26
Reaction score
1
Age
56
My goal was to use older firmware on both the RC and AC. I see others have been successful with that. My plan was to walk the AC down one version at a time using the Debug file and then downgrade the RC to be compatible. I was successful in downgrading the AC. I assumed downgrading the RC would be a similar process.

I was hoping to find the information needed to downgrade a gl300b that has the latest version installed. Perhaps it can't be done on the b model.
 

KachemakDiver

Premium Pilot
Joined
May 15, 2019
Messages
1,143
Reaction score
780
Age
58
Location
Homer,Alaska
My goal was to use older firmware on both the RC and AC. I see others have been successful with that. My plan was to walk the AC down one version at a time using the Debug file and then downgrade the RC to be compatible. I was successful in downgrading the AC. I assumed downgrading the RC would be a similar process.

I was hoping to find the information needed to downgrade a gl300b that has the latest version installed. Perhaps it can't be done on the b model.
It can be downgraded,,,but you need to get both the bird and the remote on firmware version that is compatible with each other. Then use the long press of the lines at the top right of your screen to show the remote firmware version. Then you’ll be able to downgrade the remote one version at a time. And also downgrade the drone one firmware version at a time in sync with the remote. Keep your batteries fully charged as you do it. @Oso has a great write up on the compatible firmware versions for them both. If you can’t find his link for it, I’ll find it for you tomorrow. You probably came across it in your earlier searches.
 

KachemakDiver

Premium Pilot
Joined
May 15, 2019
Messages
1,143
Reaction score
780
Age
58
Location
Homer,Alaska
My goal was to use older firmware on both the RC and AC. I see others have been successful with that. My plan was to walk the AC down one version at a time using the Debug file and then downgrade the RC to be compatible. I was successful in downgrading the AC. I assumed downgrading the RC would be a similar process.

I was hoping to find the information needed to downgrade a gl300b that has the latest version installed. Perhaps it can't be done on the b model.
In my earlier post # 30 in this thread has the information you need to accomplish your goals.
 
Joined
Sep 12, 2017
Messages
26
Reaction score
1
Age
56
I keep digging and need another life line.
With the AC at 1.7.6 (without the "+"), I attempted to role back the GL300B to 1.5.8. Android DJI Go 2.4.2 was uninstalled as it was not giving me options to upgrade/downgrade the RC (long press the grad cap). The DJI-Go 3.159 was installed and the "long press" hamburger menu gave me options to download and install the current and all the previous versions of the RC firmware.

As I was given the options to download older versions, I downloaded and installed RC firmware 1.5.8. Controller did its thing and completed.

Upon rebooted, all I got was beeping and red led flash. No connection to the AC. Since I could still install firmware using both the android and ios apps, I walked the controller up a version at a time. After each re-install and restart, the RC behaved the same (beep beep, red led flash). When I got back to 1.9.2, the beeping went away and a connection was made with the AC.

Now I have many errors shown in the app. I have video feed but can not arm. In the ios 3.1 version I show the following errors on the Overall Status page:
Aircraft requires an update
Camera requires an update
Battery requires an update
Remote Controller Encryption Error
Hardware Malfunction. Contact DJI.....

In the android 2.4.2 version I show only the following on the Status pg.
Remote Controller Encryption Error.

So currently the AC is on 1.7.6 and the RC on 1.9.2. No other RC version from 1.5.8 to 1.9.2 made a connection to the AC.

I read that for AC 1.7.6 you need to be below 1.6 on the RC. Version 1.6 would not connect.

Hoping to find possible solutions. It seems I might be flashing incorrectly or using firmware that doesn't work (1.5.8).
 

KachemakDiver

Premium Pilot
Joined
May 15, 2019
Messages
1,143
Reaction score
780
Age
58
Location
Homer,Alaska
So currently the AC is on 1.7.6 and the RC on 1.9.2. No other RC version from 1.5.8 to 1.9.2 made a connection to the AC.
Update the a/c back up a couple versions, check for linking. Then do the downgrade one version at a time, checking linking as you go.
 
Joined
Sep 12, 2017
Messages
26
Reaction score
1
Age
56
Not sure if I understand completely. Lets say I start from scratch and get the AC back to 1.11.2 and the RC at 1.9.2 . Assuming all is good (but I doubt it at this point), I would then walk the AC down one version at a time and check the connection to the RC. At what point and what RC version would I start downgrading the RC ( at AC 1.10, 1.09, 1.08, 1.07)? (RC 1.09, 1.08, 1.07, 1.06, 1.05). It sounds like my problem might be that I took the AC down without re-establishing a connection with the RC during the downgrading process. If that is so, I want to do it right this time around. thanks,
 

KachemakDiver

Premium Pilot
Joined
May 15, 2019
Messages
1,143
Reaction score
780
Age
58
Location
Homer,Alaska
Not sure if I understand completely. Lets say I start from scratch and get the AC back to 1.11.2 and the RC at 1.9.2 . Assuming all is good (but I doubt it at this point), I would then walk the AC down one version at a time and check the connection to the RC. At what point and what RC version would I start downgrading the RC ( at AC 1.10, 1.09, 1.08, 1.07)? (RC 1.09, 1.08, 1.07, 1.06, 1.05). It sounds like my problem might be that I took the AC down without re-establishing a connection with the RC during the downgrading process. If that is so, I want to do it right this time around. thanks,
I would start by updating the a/c one version at a time. Leaving the r/c at the 1.9.2, check for linking at each update.
 
Joined
Sep 12, 2017
Messages
26
Reaction score
1
Age
56
Sounds like a plan. On version at a time until the AC links with the RC without the errors that prevent arming. If I'm successful, how do you suggest I come back to the desired 1.7.6 (AC) and 1.5.8 (RC)?
 
Joined
Sep 12, 2017
Messages
26
Reaction score
1
Age
56
AC version 1.8.0, RC 1.9.2 is working. Motors arm. Still have the encryption error shown in the app. Not sure if that is going to go away once it shows up. Not sure how to proceed to role down to 1.7.6 AC /1.5.8. RC
 

KachemakDiver

Premium Pilot
Joined
May 15, 2019
Messages
1,143
Reaction score
780
Age
58
Location
Homer,Alaska
AC version 1.8.0, RC 1.9.2 is working. Motors arm. Still have the encryption error shown in the app. Not sure if that is going to go away once it shows up. Not sure how to proceed to role down to 1.7.6 AC /1.5.8. RC
I would update one more version to 1.9.6 to see if the error goes away.
 
Joined
Sep 12, 2017
Messages
26
Reaction score
1
Age
56
updated the bird to 1.9.6 . still have the error "Remote Controller Encryption Error, Hardware malfunction. Contact DJI.."

Motors arm. Have not flown

Recap: Still desire to get the remote below 1.6 (aiming for 1.5.8) and the AC at or below 1.7.6.
I can get the AC down, but the Gl300b immediately chokes (flashing red led and beeb beeb beeb) when taken below 1.7.
I'm using the long press method with an iphone latest dji-go app

I have tried resetting the controller (C1+C2+Shutter).

I have not attempted to use my rooted android, download the latest RC firmware, and swap it out with 1.5.8, and then let the app resume the install. Curious if that is worth a try.

It seems my method to downgrade the RC is correct. Not sure why it won't except an old version. Should I try going all the way down to the first version?

What to try next? Is there a way to wipe everything and start over? Perhaps not everything is getting installed with the long press method and a incomplete software install is causing issues (some modules not downgrading others are).
To deep to give up at this point. thanks
 

New Threads

Forum statistics

Threads
140,614
Messages
1,449,376
Members
102,416
Latest member
K.J.